import type { App } from "../../core/app.js";
export type Config = {
    OnInit?: (globals: Record<string, unknown>) => void;
    HooksWatch?: boolean;
    HooksDir?: string;
    HooksFilesPattern?: string;
    HooksPoolSize?: number;
    MigrationsDir?: string;
    MigrationsFilesPattern?: string;
    TypesDir?: string;
};
export declare function MustRegister(app: App, config: Config): void;
export declare function MustRegisterAsync(app: App, config: Config): Promise<void>;
export declare function Register(app: App, config: Config): Error | null;
export declare function RegisterAsync(app: App, config: Config): Promise<Error | null>;
